# $Revision: 1.39 $, $Date: 2007/02/13 06:46:53 $
Summary:	LWP thread library
Summary(pl.UTF-8):	Biblioteka wątków LWP
Summary(pt_BR.UTF-8):	Biblioteca LWP thread
Name:		lwp
Version:	2.3
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	ftp://ftp.coda.cs.cmu.edu/pub/lwp/src/%{name}-%{version}.tar.gz
# Source0-md5:	8dfc35e6ef31598cfa35cb377e2387f8
Patch0:		%{name}-configure.patch
URL:		http://www.coda.cs.cmu.edu/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	liblwp2

%description
The LWP userspace threads library. The LWP threads library is used by
the Coda distributed filesystem, RVM (a persistent VM library), and
RPC2/SFTP (remote procedure call library).

%description -l pl.UTF-8
Biblioteka wątków w przestrzeni użytkownika LWP. Biblioteka ta jest
używana przez rozproszony system plików Coda, RVM (bibliotekę VM),
RPC2/SFTP (bibliotekę zdalnych wywołań procedur).

%description -l pt_BR.UTF-8
Biblioteca LWP para threads em userspace. Esta biblioteca é utilizada
pelo Coda (um sistema de arquivos distribuído) e pelas bibliotecas RVM
e RPC2/SFTP.

%package devel
Summary:	LWP thread library development files
Summary(pl.UTF-8):	Pliki dla programistów używających LWP
Summary(pt_BR.UTF-8):	Arquivos para desenvolvimento com a biblioteca LWP thread
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	liblwp2-devel

%description devel
Headers and libraries for developing programs using the LWP userspace
threads library.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów używających biblioteki wątków
w przestrzeni użytkownika LWP.

%description devel -l pt_BR.UTF-8
Arquivos para desenvolvimento com a biblioteca LWP threads em
userspace.

%package static
Summary:	LWP thread library static libraries
Summary(pl.UTF-8):	Statyczne biblioteki LWP
Summary(pt_BR.UTF-8):	Bibliteca estática LWP thread
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for developing programs using the LWP userspace
threads library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki wątków w przestrzeni użytkownika LWP.

%description static -l pt_BR.UTF-8
Biblioteca estática LWP para threads em userspace.

%prep
%setup -q
%patch0 -p1

%build
rm -f configure.ac
%{__libtoolize}
%{__autoheader}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/liblwp.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblwp.so
%{_libdir}/liblwp.la
%{_includedir}/lwp

%files static
%defattr(644,root,root,755)
%{_libdir}/liblwp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lwp.spec,v $
Revision 1.39  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.37  2006/09/04 01:59:56  zbyniu
- up to 2.3

Revision 1.36  2005/10/24 19:15:29  czucz
- updated to 2.1

Revision 1.35  2005/05/27 09:48:34  zbyniu
- up to 2.0

Revision 1.34  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.33  2004/10/26 17:30:18  darekr
- updated to 1.12

Revision 1.32  2004/05/06 21:04:08  qboosh
- added amd64 patch, strict internal deps etc.

Revision 1.31  2004/05/04 20:46:11  aredridel
- up to 1.11

Revision 1.30  2004/04/26 17:00:17  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.29  2004/01/03 19:54:28  aredridel
- revert last change

Revision 1.28  2004/01/03 17:52:55  aredridel
- fix build against glibc-kernel-headers

Revision 1.27  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/26 16:25:19  malekith
- massive attack: adding Source-md5

Revision 1.25  2003/05/25 05:50:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/02/07 07:15:04  trojan
- updated to 1.10

Revision 1.23  2002/11/25 14:17:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.22  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.21  2002/08/11 16:02:53  marcus
- fixed configure.in
- -rel.4.

Revision 1.20  2002/06/30 18:30:14  kloczek
- release 3.

Revision 1.19  2002/06/28 19:15:42  blues
- new doc, fixes in pl-descriptions

Revision 1.18  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:14:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/05/08 17:10:56  kloczek
- liblwp2{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.15  2002/05/08 16:57:16  kloczek
- merge translations from Conectiva.

Revision 1.14  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/06 08:42:59  qboosh
- pl descriptions, changed base pkg group to Libraries; release 2

Revision 1.11  2001/10/21 13:15:14  kloczek
- updated to 1.9.

Revision 1.10  2001/10/01 18:25:57  blues
- release 2
- am1.5 ready

Revision 1.9  2001/08/06 11:18:02  kloczek
- added automake, autoconf and libtool to BuildRequires,
- added --copy --force to libtoolize paramaetrs.

Revision 1.8  2001/08/06 09:48:10  waszi
- updated to 1.8

Revision 1.7  2000/11/16 05:38:25  kloczek
- fixed Source url.

Revision 1.6  2000/11/15 23:41:02  kloczek
- version 1.6, release 0.cvs20001115.1,
- added gzipping %doc and move %doc to devel,
- added URL to main coda home page,
- added Source url.

Revision 1.5  2000/11/15 21:06:14  agaran
extension of source .tar.gz->.tgz

Revision 1.4  2000/11/15 20:55:54  agaran
Its for use with cvs version of lwp..not checked yet..but build properly
at least once..here

Revision 1.3  2000/11/10 20:46:25  kloczek
- updated to 1.5.

Revision 1.2  2000/10/05 12:01:47  kloczek
- spec adapterized,
- fixed %post and added %postun,
- fixes in %files lists.

Revision 1.1  2000/10/05 08:32:25  pascalek
- initial revision
